# GCheader Struct Reference

`#include <lua/lobject.h>`

Collaboration diagram for GCheader:

[legend]

## Data Fields

GCObject * | next
lu_byte | tt
lu_byte | marked

## Detailed Description

Definition at line 49 of file lobject.h.

## Field Documentation

lu_byte GCheader::marked

Definition at line 50 of file lobject.h.

Referenced by luaC_link(), and sweeplist().

GCObject* GCheader::next

Definition at line 50 of file lobject.h.

Referenced by correctstack(), GCTM(), luaC_link(), luaC_linkupval(), luaC_separateudata(), luaS_newlstr(), luaS_resize(), marktmu(), and sweeplist().

lu_byte GCheader::tt

Definition at line 50 of file lobject.h.

Referenced by freeobj(), luaC_link(), propagatemark(), reallymarkobject(), and sweeplist().

The documentation for this struct was generated from the following file:

- lua/lobject.h